package com.tofly.yswzMaterials.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.Loss;
import com.tofly.yswzMaterials.entity.vo.LossParamVo;
import com.tofly.yswzMaterials.service.LossService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/loss")
@Api(tags = "金蝶-盘亏接口")
public class LossController {

    private final LossService lossService;

    @PostMapping("/insertLoss")
    @ApiOperation("增加盘亏单")
    public ResultRespone<Boolean> insertLoss(@RequestBody Loss loss) {
        return ResultRespone.success(lossService.insertLoss(loss));
    }

    @GetMapping("/getLossInfo")
    @ApiOperation("查询盘亏单")
    public ResultRespone<LossParamVo> getLossInfo(String code) {
        return ResultRespone.success(lossService.getLossInfo(code));
    }

}
