package com.tofly.yswzMaterials.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.Picking;
import com.tofly.yswzMaterials.entity.vo.PickingParamVo;
import com.tofly.yswzMaterials.service.PickingService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/picking")
@Api(tags = "金蝶-生产领料接口")
public class PickingController {

    private final PickingService pickingService;


    @GetMapping("/getPickingInfo")
    @ApiOperation("获取生产领料单")
    public ResultRespone<PickingParamVo> getPickingInfo(String code) {
        return ResultRespone.success(pickingService.getPickingInfo(code));
    }

    @PostMapping("/initPickingInfo")
    @ApiOperation("添加生产领料单")
    public ResultRespone<Boolean> initPickingInfo(@RequestBody Picking picking){
        return ResultRespone.success(pickingService.insertPicking(picking));
    }

}
