package com.tofly.yswzMaterials.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.Profit;
import com.tofly.yswzMaterials.entity.vo.ProfitParamVo;
import com.tofly.yswzMaterials.service.ProfitService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/picking")
@Api(tags = "金蝶-盘盈接口")
public class ProfitController {

    private final ProfitService profitService;

    @GetMapping("/getProfitInfo")
    @ApiOperation("获取盘盈")
    public ResultRespone<ProfitParamVo> getProfitInfo(String code) {
        return ResultRespone.success(profitService.getProfitInfo(code));
    }

    @PostMapping("/insertProfit")
    @ApiOperation("增加盘盈")
    public ResultRespone<Boolean> insertProfit(@RequestBody Profit profit) {
        return ResultRespone.success(profitService.insertProfit(profit));
    }

}
