package com.tofly.yswzMaterials.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.yswzMaterials.entity.Storage;
import com.tofly.yswzMaterials.entity.vo.StorageParamVo;
import com.tofly.yswzMaterials.service.StorageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

/**
 * @author Bubble
 */
@RestController
@AllArgsConstructor
@RequestMapping("/stotage")
@Api(tags = "外购入库接口")
public class StorageController {

    private final StorageService storageService;

    @PostMapping("/insertStorage")
    @ApiOperation("外购入库新增/修改")
    public ResultRespone insertStorage(@RequestBody Storage storage){
        return ResultRespone.success(storageService.insertStorage(storage));
    }

    @GetMapping("/getStorageInfo")
    @ApiOperation("外购入库单号查询")
    public ResultRespone<StorageParamVo> getStorageInfo(String code){
        return ResultRespone.success(storageService.getStorageInfo(code));
    }

}
