package com.tofly.yswzMaterials.em;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author bubble
 */
@Getter
@AllArgsConstructor
public enum StocksAuditEnum {

  /*---------- 自定义code ----------*/
  // 物资审批配置类型
  IN_STOCK_CONFIG_TYPE(1L, "入库配置类型"),
  IN_STOCK_CONFIG_TABLE(0L, "TF_STOCKS_INSTOCK_INFO"),
  IN_STOCK_CONFIG_TOPIC(0L, "入库管理审核"),
  IN_STOCK_CONFIG_ROUTE_IP(0L, "ip"),
  IN_STOCK_CONFIG_MESSAGE(0L, "您有一条新的入库申请待审核"),

  OUT_STOCK_CONFIG_TYPE(2L, "出库配置类型"),
  OUT_STOCK_CONFIG_TABLE(0L, "TF_STOCKS_OUTSTOCK_INFO"),
  OUT_STOCK_CONFIG_TOPIC(0L, "出库管理审核"),
  OUT_STOCK_CONFIG_ROUTE_IP(0L, "ip"),
  OUT_STOCK_CONFIG_MESSAGE(0L, "您有一条新的出库申请待审核"),

  TAKEAWAY_OUT_STOCK_TYPE(3L, "外卖出库配置"),
  TAKEAWAY_OUT_STOCK_TABLE(0L, "TF_STOCKS_TAKEAWAY_INFO"),
  TAKEAWAY_OUT_STOCK_TOPIC(0L, "外卖材料出库审核"),
  TAKEAWAY_OUT_STOCK_ROUTE_IP(0L, ""),
  TAKEAWAY_OUT_STOCK_MESSAGE(0L, "您有一条新的外卖材料出库申请待审核"),

  // 人员审核状态
  AUDIT_STATUS_TO_BE_REVIEWED(0L, "待审核"),
  AUDIT_STATUS_PASS(1L, "通过"),
  AUDIT_STATUS_HSIANG_HSIEN(2L, "驳回"),

  /*---------- 对应字典表code ----------*/

  IN_STOCK_TYPE(22L, "普通入库"),
  IN_STOCK_NEW_TYPE(23L,"新购入库"),
  RETURN_STOCK_TYPE(24L,"回收退库"),

  OUT_STOCK_INSERT_TYPE(0L,"增补出库"),
  OUT_STOCK_RETURN_TYPE(1L,"材料退库"),

  NOT_REVIEWED(6L, "未审核"),
  UNDER_REVIEW(7L, "正在审核"),
  APPROVED(8L, "审核完成"),
  HSIANG_HSIEN(9L, "审核驳回"),
  ;

  private final Long code;
  private final String name;
}
