package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 盘亏
 * @author Bubble
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_JINDIE_LOSS", resultMap = "lossMap")
@KeySequence("TF_JINDIE_LOSS")
@ApiModel
public class Loss extends Model<Loss> {

    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    @ApiModelProperty(value = "盘盈单号")
    private String billNo;

    @ApiModelProperty(value = "单据日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date fDate;

    @ApiModelProperty(value = "验收人")
    private String ffManagerIdName;

    @ApiModelProperty(value = "制单人")
    private String billerIdName;

    @ApiModelProperty(value = "盘盈单详情")
    @TableField(exist = false)
    private List<LossDetail> detailList;

}
