package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * @author bubble
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_TAKEAWAY_INFO", resultMap = "stocksTakeawayInfoMap")
@KeySequence("TF_STOCKS_TAKEAWAY_INFO")
@ApiModel
public class StocksTakeawayInfo extends Model<StocksTakeawayInfo> {
  @TableId(value = "ID", type = IdType.INPUT)
  @ApiModelProperty(value = "库存信息（主键ID）")
  private Long id;

  @ApiModelProperty(value = "外卖出库编号")
  private String takeawayCode;

  @ApiModelProperty(value = "外卖出库状态")
  private Long takeawayStatus;

  @ApiModelProperty(value = "当前审核人")
  private Long auditUser;

  @ApiModelProperty(value = "当前审核部门")
  private Long auditDept;

  @ApiModelProperty(value = "外卖出库时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  private Date takeawayDate;

  @ApiModelProperty(value = "出库人")
  private Long takeawayUser;

  @ApiModelProperty(value = "出库部门")
  private Long takeawayDept;

  @ApiModelProperty(value = "公司")
  private Long firm;

  @ApiModelProperty(value = "仓库id")
  private Long storeId;

  @ApiModelProperty(value = "备注")
  private String remark;

  @ApiModelProperty("购买用户")
  private String purchaseUser;

  @ApiModelProperty("用户电话")
  private String telephone;

  @ApiModelProperty("文件json")
  private String annex;

  @ApiModelProperty(value = "创建人")
  @TableField(value = "CREATE_USER", fill = FieldFill.INSERT)
  private Long createUser;

  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "CREATE_TIME", fill = FieldFill.INSERT)
  private Date createTime;

  @ApiModelProperty(value = "创建人")
  @TableField(value = "UPDATE_USER", fill = FieldFill.INSERT)
  private Long updateUser;

  /** 创建时间 */
  @ApiModelProperty(value = "创建时间")
  @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
  @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
  @TableField(value = "UPDATE_TIME", fill = FieldFill.INSERT)
  private Date updateTime;

  // 非数据库字段

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String createUserName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String updateUserName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String takeawayStatusName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String auditUserName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String auditDeptName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String takeawayUserName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String takeawayDeptName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String firmName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  private String storeName;

  @TableField(exist = false)
  @ApiModelProperty(hidden = true)
  List<StocksAudit> auditInfo;
}
